Debian Bug report logs - #692564
ITP: libqmi-glib -- QMI modem protocol helper library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Marius Kotsbak <marius@kotsbak.com>

Date: Wed, 7 Nov 2012 14:18:01 UTC

Owned by: "Marius B. Kotsbak" <marius@kotsbak.com>

Severity: wishlist

Fixed in version libqmi/1.0-1

Done: marius@kotsbak.com (Marius B. Kotsbak)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#692564; Package wnpp. (Wed, 07 Nov 2012 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marius Kotsbak <marius@kotsbak.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 07 Nov 2012 14:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marius Kotsbak <marius@kotsbak.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libqmi-glib -- QMI modem protocol helper library
Date: Wed, 07 Nov 2012 15:15:04 +0100
Package: wnpp
Severity: wishlist

* Package name    : libqmi-glib
  Version         : 1.0.0 (not yet released)
  Upstream Author : libqmi mailing list <libqmi-devel@lists.freedesktop.org>
* URL             : http://cgit.freedesktop.org/libqmi/
* License         : LGPL
  Programming Lang: C
  Description     : QMI modem protocol helper library

libqmi is an on-going effort to get a library providing easy access to Qualcomm’s ‘QMI’ protocol. It is needed by the current development version of Modem Manager.

The current libqmi available is based on the GLib/GObject/GIO-powered ‘libqmi-glib’. libqmi tries to ease the use of the protocol by providing:

* A ‘QmiDevice‘ object to control the access to the /dev/cdc-wdm device. This object allows creating new per-service ‘QmiClient’s. It also hides the use of the implicit ‘CTL’ service client.

* The ‘QmiClient‘ object provides an interface to the set of request/responses of a given service. Users of the library will just need to execute a GIO-asynchronous method to send the request and get the processed response.

* The ‘QmiClient‘ object also provides signals for each of the indications given in the service.
The input and output arguments needed in requests, responses and indications are compiled into ‘bundles’.
These bundles are opaque structs with accessors for their elements, which allow us to add new TLVs to a given message in the future without breaking API/ABI.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#692564; Package wnpp. (Wed, 07 Nov 2012 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marius Kotsbak <marius@kotsbak.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 07 Nov 2012 15:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 692564@bugs.debian.org (full text, mbox):

From: Marius Kotsbak <marius@kotsbak.com>
To: 692564@bugs.debian.org
Subject: Re: Bug#692564: Acknowledgement (RFP: libqmi-glib -- QMI modem protocol helper library)
Date: Wed, 07 Nov 2012 16:19:20 +0100
I also filed a bug report for Ubuntu: 
https://bugs.launchpad.net/ubuntu/+source/modemmanager/+bug/1075801



Changed Bug title to 'ITP: libqmi-glib -- QMI modem protocol helper library' from 'RFP: libqmi-glib -- QMI modem protocol helper library' Request was from "Marius B. Kotsbak" <marius@kotsbak.com> to control@bugs.debian.org. (Tue, 27 Nov 2012 22:21:05 GMT) Full text and rfc822 format available.

Owner recorded as "Marius B. Kotsbak" <marius@kotsbak.com>. Request was from "Marius B. Kotsbak" <marius@kotsbak.com> to control@bugs.debian.org. (Tue, 27 Nov 2012 22:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Marius B. Kotsbak" <marius@kotsbak.com>:
Bug#692564; Package wnpp. (Wed, 26 Dec 2012 00:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marius Kotsbak <marius@kotsbak.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Marius B. Kotsbak" <marius@kotsbak.com>. (Wed, 26 Dec 2012 00:21:03 GMT) Full text and rfc822 format available.

Message #19 received at 692564@bugs.debian.org (full text, mbox):

From: Marius Kotsbak <marius@kotsbak.com>
To: 692564@bugs.debian.org
Subject: Current work pushed
Date: Wed, 26 Dec 2012 01:17:04 +0100
[Message part 1 (text/plain, inline)]
It is available at Gitub: https://github.com/mkotsbak/libqmi-deb
[Message part 2 (text/html, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 18 Jan 2013 07:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Marius B. Kotsbak" <marius@kotsbak.com>:
Bug#692564; Package wnpp. (Fri, 18 Jan 2013 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marius Kotsbak <marius.kotsbak@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Marius B. Kotsbak" <marius@kotsbak.com>. (Fri, 18 Jan 2013 09:33:03 GMT) Full text and rfc822 format available.

Message #26 received at 692564@bugs.debian.org (full text, mbox):

From: Marius Kotsbak <marius.kotsbak@gmail.com>
To: 692564@bugs.debian.org
Subject: Project and git repo moved to Alioth
Date: Fri, 18 Jan 2013 10:29:40 +0100
Project and git repo moved to Alioth:

https://alioth.debian.org/projects/pkg-libqmi/



Reply sent to marius@kotsbak.com (Marius B. Kotsbak):
You have taken responsibility. (Sat, 09 Mar 2013 10:03:09 GMT) Full text and rfc822 format available.

Notification sent to Marius Kotsbak <marius@kotsbak.com>:
Bug acknowledged by developer. (Sat, 09 Mar 2013 10:03:09 GMT) Full text and rfc822 format available.

Message #31 received at 692564-close@bugs.debian.org (full text, mbox):

From: marius@kotsbak.com (Marius B. Kotsbak)
To: 692564-close@bugs.debian.org
Subject: Bug#692564: fixed in libqmi 1.0-1
Date: Sat, 09 Mar 2013 10:00:06 +0000
Source: libqmi
Source-Version: 1.0-1

We believe that the bug you reported is fixed in the latest version of
libqmi, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 692564@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marius B. Kotsbak <marius@kotsbak.com> (supplier of updated libqmi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 17 Jan 2013 21:12:14 +0100
Source: libqmi
Binary: libqmi-glib-dev libqmi-glib-doc libqmi-glib0 libqmi-glib0-dbg libqmi-utils
Architecture: source amd64 all
Version: 1.0-1
Distribution: unstable
Urgency: low
Maintainer: Marius B. Kotsbak <marius@kotsbak.com>
Changed-By: Marius B. Kotsbak <marius@kotsbak.com>
Description: 
 libqmi-glib-dev - Header files for adding QMI support to applications that use glib
 libqmi-glib-doc - API documentation for libqmi-glib
 libqmi-glib0 - Support library to use the Qualcomm MSM Interface (QMI) protocol
 libqmi-glib0-dbg - Support library to use the Qualcomm MSM Interface (QMI) protocol
 libqmi-utils - Utilities to use the QMI protocol from the command line
Closes: 692564
Changes: 
 libqmi (1.0-1) unstable; urgency=low
 .
   [ Marius B. Kotsbak ]
   * Initial release (Closes: #692564)
Checksums-Sha1: 
 d020c6f136d99515792888a5679c5dddf590d9c3 1488 libqmi_1.0-1.dsc
 bdd2b8e99544b0a3a2e87abf570330deb1a5c0e5 545860 libqmi_1.0.orig.tar.xz
 fa261002746f6de4159d539bcf9758e7b800dad8 11930 libqmi_1.0-1.debian.tar.gz
 4a2bb0ab51aecb980e14f01dc38d7e24d9a6479d 494456 libqmi-glib-dev_1.0-1_amd64.deb
 370a29b543e654ef8008b36eb0af48997cec85ee 443542 libqmi-glib-doc_1.0-1_all.deb
 d97718e0e675005c3377e5f072ccde90a973eb88 359988 libqmi-glib0_1.0-1_amd64.deb
 e514d638c67b66bb8997aaaad45ab327d43fa792 1057870 libqmi-glib0-dbg_1.0-1_amd64.deb
 2aa5dcbb347d76a79704701be1ff89c566ddd573 48540 libqmi-utils_1.0-1_amd64.deb
Checksums-Sha256: 
 528833f535f94361a89ed8f9415c7c0a8efa74a3dabbb740c045901effa0d7e7 1488 libqmi_1.0-1.dsc
 a1ad00fee1f730a9172934de1e506995cf0cba1b213a3d6076e35c18ed698c70 545860 libqmi_1.0.orig.tar.xz
 bea2437934b9adb1a9f8e63533c37d9975ee7b475d16095357cc18c340b35007 11930 libqmi_1.0-1.debian.tar.gz
 1a57b3858bd85ab106f8592dc5c0b5c8b8350120d833ab6ffec1b1ebf0af3219 494456 libqmi-glib-dev_1.0-1_amd64.deb
 993bf96f720817f74c53a437c805fac87680f3f79402fb50ca779320e8f58c5b 443542 libqmi-glib-doc_1.0-1_all.deb
 26923d29a2921e69a799609bc6b3dec01e8e85161f337d2dffbaa4b206a30c2d 359988 libqmi-glib0_1.0-1_amd64.deb
 ffb543cdac92998721b71c46d1adc186574848e2498bd1057dbaa62101bae7b0 1057870 libqmi-glib0-dbg_1.0-1_amd64.deb
 0db92662f183b1c9f7177823a392e48352e7ce7cf808ffd6f2d4ad5a3c557e57 48540 libqmi-utils_1.0-1_amd64.deb
Files: 
 9d9bf01c8763748fad46b539b2302c66 1488 libs optional libqmi_1.0-1.dsc
 1e00d300616efc1bf8d3e8e541a69f73 545860 libs optional libqmi_1.0.orig.tar.xz
 5c77d28acf1848f4eb9f3de2b874f293 11930 libs optional libqmi_1.0-1.debian.tar.gz
 1a495373300caaf010bb06372ede5973 494456 libdevel optional libqmi-glib-dev_1.0-1_amd64.deb
 881181fb66ff1a72a57a1d9d0356a935 443542 doc optional libqmi-glib-doc_1.0-1_all.deb
 e67858b39501e1dedd17ddfd7bde7adf 359988 libs optional libqmi-glib0_1.0-1_amd64.deb
 c37b4ab5707c0e1cb8b2965b70d392ab 1057870 debug extra libqmi-glib0-dbg_1.0-1_amd64.deb
 1d1a8426b5729c9306cb641b469b7b09 48540 net optional libqmi-utils_1.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iJwEAQECAAYFAlD4eBQACgkQ0sfeulffv7ungQP6AzkNLqjKBhrIqUUfLusuUemI
zd0/stQSlpSD4VgRK9gtWNjqG3m/YCeiSycN/m6OXIJHPvlsq6bVR5oEziYwoH+t
9DCEeNC8O57iYDt6EchYe0D/IeM32BR7uvaEFgdZ8lilBK/7lpM6w8/CvEc8C9J+
AjTdQ6BkQO/46TBbDHk=
=XscH
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 07 Apr 2013 07:28:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:28:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.